## eole-ad-dc 2.8.0-58

=== debian/changelog ===
eole-ad-dc (2.8.0-58) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [551f3d3] Check credential against DC and repeat prompt till it checks.
  * [25ceed5] Windows should give similar answer.
  * [9c31dce] Merge branch '2.8.0/31302-password_prompt' into 2.8.0/master
  * [615647d] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [9dd8762] Benjamin Bohard: Update package since “debian/eole/2.8.0-57”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 17 Dec 2020 09:09:44 +0100

eole-ad-dc (2.8.0-57) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [0e83163] Enable nmbd service on membre only if it is required
  * [22ad180] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [85e76b4] Joël Cuissinat: Update package since “debian/eole/2.8.0-56”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 14 Dec 2020 11:35:09 +0100

eole-ad-dc (2.8.0-56) eole-2.8.0-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [d139c4c] Relancer la demande de compte et mot de passe en cas d'erreur ref #31302
  * [9ab3772] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [2caf9e1] Matthieu Lamalle: Update package since “debian/eole/2.8.0-55”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Fri, 04 Dec 2020 09:14:03 +0100

eole-ad-dc (2.8.0-55) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [fca5db8] We don't need python C library to build this package

  [ EOLE Build Daemon ]
  * [f4fb0b1] Daniel Dehennin: Update package since “debian/eole/2.8.0-54”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 03 Dec 2020 15:35:23 +0100

eole-ad-dc (2.8.0-54) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [825520b] addc_restore : touch $AD_INSTANCE_LOCK_FILE
  * [6c7bd2d] Merge branch '2.7.1/master' into 2.7.2/master
  * [abaa0ee] Merge branch '2.7.2/master' into 2.8.0/master
  * [a86152a] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [0c20838] Joël Cuissinat: Update package since “debian/eole/2.8.0-53”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 03 Dec 2020 15:01:27 +0100

eole-ad-dc (2.8.0-53) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [b8a3ee4] la variable ad_server_netbios_name est obligatoirement un copie de nom_machine (ref #31271)
  * [db893c5] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [3442fb7] Emmanuel Garette: Update package since “debian/eole/2.8.0-52”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 02 Dec 2020 14:59:29 +0100

eole-ad-dc (2.8.0-52) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [bcf8a35] eole-ad-dc.mk : copy 25-manage-samba in /usr/share/eole/samba
  * [8f862d1] Merge branch '2.7.1/master' into 2.7.2/master
  * [48a6a16] Merge branch '2.7.2/master' into 2.8.0/master

  [ Emmanuel Garette ]
  * [40af75d] ne pas modifier le certificat samba en cas d'activation de Let's Encrypt (ref #31137)
  * [ded9c92] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [50c6636] Emmanuel Garette: Update package since “debian/eole/2.8.0-51”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 02 Dec 2020 09:14:23 +0100

eole-ad-dc (2.8.0-51) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [2ce0a78] eole-ad-dc-scripts : .install don't rename file
  * [34f325c] eole-ad-dc.mk : copy 25-manage-samba in /usr/share/eole/samba
  * [6f70275] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [1b19d5c] Joël Cuissinat: Update package since “debian/eole/2.8.0-50”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 01 Dec 2020 14:10:00 +0100

eole-ad-dc (2.8.0-50) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [2d9324c] eole-ad-dc-scripts : postservice/25-manage-samba -> samba/samba_configure

  [ EOLE Build Daemon ]
  * [5b47d90] Joël Cuissinat: Update package since “debian/eole/2.8.0-49”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 01 Dec 2020 12:06:20 +0100

eole-ad-dc (2.8.0-49) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [8b55c37] eole-ad-dc-scripts provides 25-manage-samba in container

  [ EOLE Build Daemon ]
  * [75fca8a] Joël Cuissinat: Update package since “debian/eole/2.8.0-48”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 01 Dec 2020 11:28:13 +0100

eole-ad-dc (2.8.0-48) eole-2.8.0-proposed-updates; urgency=low

  [ gilles.grandgerard ]
  * [6fde3be] Refactoring 'gpc_update_extension' pour éviter les appels successifs
  * [2dfcda0] Merge branch '2.7.1/master' into 2.7.2/master
  * [9226938] Merge branch '2.7.2/master' into 2.8.0/master
  * [c232355] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [c8ac992] gilles.grandgerard: Update package since “debian/eole/2.8.0-47”

 -- gilles.grandgerard <gilles@gilles-G10AJ>  Tue, 24 Nov 2020 17:28:24 +0100

eole-ad-dc (2.8.0-47) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [76b3e0b] Insert xattr variable in share section of config

  [ gilles.grandgerard ]
  * [cdc4d21] Ajout check_certificat_samba + appel dans reconfigure
  * [2ea559a] Ajout test certificats dans Diagnose

  [ Joël Cuissinat ]
  * [b03da08] Merge branch '2.7.0/master' into 2.7.1/master
  * [cda1d79] Merge branch '2.7.1/master' into 2.7.2/master
  * [89ff165] Merge branch '2.7.2/master' into 2.8.0/master
  * [551dee2] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [765bd72] Joël Cuissinat: Update package since “debian/eole/2.8.0-46”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 20 Nov 2020 16:45:27 +0100

eole-ad-dc (2.8.0-46) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [e50a9f8] Revert "creation du paquet eole-ad-dc-pso pour scribe (ref #31101)"


=== debian/control ===
Source: eole-ad-dc
Section: admin
Priority: optional
Maintainer: Équipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9), python3-all
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-ad-dc
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-ad-dc/repository

Package: eole-ad-dc
Architecture: all
Depends: eole-server,
         ${misc:Depends}
Description: configuration du service Samba AD-DC
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-ad-dc-pkg
Section: metapackages
Architecture: all
Depends: acl,
         bind9,
         cifs-utils,
         krb5-user,
         ldb-tools,
         libnss-winbind,
         lmdb-utils,
         python3-samba,
         quota,
         rsync,
         samba,
         samba-common,
         samba-dsdb-modules,
         samba-libs,
         samba-vfs-modules,
         smbclient,
         winbind,
         ${misc:Depends}
Description: dependency package for Samba AD-DC
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-ad-dc-scripts
Architecture: all
Depends: python3-configobj,
         pwgen,
         ${misc:Depends}
Conflicts: eole-ad-dc
Description: scripts et librairies pour Samba AD-DC
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-ad-dc-bareos
Architecture: all
Depends: eole-bareos ${misc:Depends}
Conflicts: eole-ad-dc
Description: configuration bareos pour Samba AD-DC
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-seth
Depends: eole-dhcp,
         eole-ad-dc,
         eole-antivirus,
         ${misc:Depends}
Architecture: all
Description: Module EOLE Seth
 Configuration du module EOLE Seth.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-seth-module
Section: metapackages
Depends: eole-seth,
         ${misc:Depends}
Provides: eole-module
Conflicts: eole-module
Architecture: all
Description: Module EOLE Seth (metapackage)
 Méta-paquet du module EOLE Seth.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-seth-all
Section: metapackages
Depends: eole-ad-dc-pkg,
         eole-dhcp-pkg,
         eole-exim-pkg,
         eole-antivirus-pkg,
         eole-seth-module,
         ${misc:Depends}
Architecture: all
Description: Module EOLE Seth (metapackage)
 Tous les paquets pour un module EOLE Seth.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: gpo-tool
Section: admin
Architecture: all
Depends: python3,
         python-gpo-utils,
         ${misc:Depends}
Description: Python command for GPO edition

Package: python-gpo-utils
Section: admin
Architecture: all
Depends: python3,
         python3-samba,
         ${misc:Depends}
Description: Python commands for GPO edition

## eole-ad-dc 2.8.0-85

=== Makefile ===
################################
# Makefile pour eole-ad
################################

SOURCE=eole-ad-dc
VERSION=2.8
EOLE_VERSION=2.8
EOLE_RELEASE=2.8.0
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-ad-dc (2.8.0-85) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [ac2b29c] named.conf.options : remove dnssec-enable obsolete option (EOLE 2.8.0)
  * [a39c245] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [e7722ad] Joël Cuissinat: Update package since “debian/eole/2.8.0-84”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 20 Aug 2024 10:30:19 +0200

eole-ad-dc (2.8.0-84) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [0ee2f7a] fix instance/reconfigure in RODC mode
  * [6975a85] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [1ba3b54] Joël Cuissinat: Update package since “debian/eole/2.8.0-83”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 27 Oct 2023 15:28:46 +0200

eole-ad-dc (2.8.0-83) eole-2.8.0-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [debb26b] plus d'option '-k' dans samba-tool
  * [ddfb6f3] suppression kdestroy inutiles

  [ Benjamin Bohard ]
  * [f1c64c7] Suppression de l’option obsolète -k pour samba-tool.

  [ Joël Cuissinat ]
  * [508b69a] fix(config) : avoid named error at first instance (backport)
  * [d5bf857] Merge branch '2.7.2/backport4.15' into 2.8.0/master
  * [aa784ef] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [a48ca44] Joël Cuissinat: Update package since “debian/eole/2.8.0-82”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 09 Mar 2023 12:14:49 +0100

eole-ad-dc (2.8.0-82) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [ed79ea7] Inverser la condition pour le cas de variable indisponible.
  * [bb3cc57] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [88df495] Benjamin Bohard: Update package since “debian/eole/2.8.0-81”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 08 Mar 2023 10:02:49 +0100

eole-ad-dc (2.8.0-81) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [bec906f] Ne pas générer l’envoi de courriel quand rien ne se passe.
  * [589f961] Il peut y avoir plusieurs fichiers à supprimer.
  * [d06548b] Merge branch '2.7.2/master' into 2.8.0/master
  * [cb96b5a] Permettre la sauvegarde si le service filedaemon est activé.
  * [27a6522] Rétablir le seuil d’âge des archives à supprimer.
  * [a2b36a5] Merge branch '2.7.2/master' into 2.8.0/master
  * [57b3e6e] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [cfc8c44] Benjamin Bohard: Update package since “debian/eole/2.8.0-80”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 27 Feb 2023 11:45:13 +0100

eole-ad-dc (2.8.0-80) eole-2.8.0-proposed-updates; urgency=low

  [ Arnaud Fornerot ]
  * [f7ec947] passage à dlz_bind9_16.so (ref #33549)
  * [555a10a] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [a9e9b0f] Arnaud Fornerot: Update package since “debian/eole/2.8.0-79”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Mon, 20 Dec 2021 16:36:21 +0100

eole-ad-dc (2.8.0-79) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [6a94ece] fix migration samba 4.13 (suite)
  * [0b96858] Merge branch '2.7.2/master' into 2.8.0/master
  * [2cbbb31] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [2ed2dc8] Joël Cuissinat: Update package since “debian/eole/2.8.0-78”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 16 Nov 2021 10:55:53 +0100

eole-ad-dc (2.8.0-78) eole-2.8.0-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [43bf7cf] Correct typo to force build

  [ Gilles Grandgérard ]
  * [f25c1d2] Suite migration samba 4.13, session_info est obligatoire
  * [7c8e15c] Merge remote-tracking branch 'origin/2.7.2/master' into 2.8.0/master
  * [771f6bc] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [bac3b42] Gilles Grandgérard: Update package since “debian/eole/2.8.0-77”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Mon, 15 Nov 2021 16:27:52 +0100

eole-ad-dc (2.8.0-77) eole-2.8.0-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [c44fb6d] Ajout la possiblité d'importer une GPO depuis un répertoire
  * [35fda06] Merge branch '2.7.2/master' into 2.8.0/master
  * [6403be9] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [4770640] Joël Cuissinat: Update package since “debian/eole/2.8.0-76”

  [ Joël Cuissinat ]

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 08 Oct 2021 17:10:16 +0200

eole-ad-dc (2.8.0-76) eole-2.8.0-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [4b28996] Les commandes d'import_gpo doivent selectionner le DC, car les commandes imbriquées risquent de choisir un autre DC.
  * [87a2ce9] Toutes les commandes gpo-tool doivent selectionner le DC, car les commandes imbriquées risquent de choisir un autre DC.
  * [75c3b53] Merge branch '2.7.2/master' into 2.8.0/master
  * [adcec94] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [7e1b943] Gilles Grandgérard: Update package since “debian/eole/2.8.0-75”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Mon, 19 Jul 2021 16:26:02 +0200

eole-ad-dc (2.8.0-75) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [9a7e01a] correction du chemin vers les fichiers de configuration samba (ref #32947)
  * [645c526] Merge branch '2.7.2/master' into 2.8.0/master
  * [c89e216] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [0b59605] Emmanuel Garette: Update package since “debian/eole/2.8.0-74”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 16 Jul 2021 14:36:01 +0200

eole-ad-dc (2.8.0-74) eole-2.8.0-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [cf8ebf0] Correction messages et exit dans samba_delete_gpo
  * [4dbd205] Merge remote-tracking branch 'origin/2.7.2/master' into 2.8.0/master


=== debian/control ===
--- 
+++ 
@@ -45,6 +45,7 @@
 Architecture: all
 Depends: python3-configobj,
          pwgen,
+         psmisc,
          ${misc:Depends}
 Conflicts: eole-ad-dc
 Description: scripts et librairies pour Samba AD-DC

## eole-ad-dc 2.8.1-95

=== debian/changelog ===
eole-ad-dc (2.8.1-95) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [4f654fa] restaurer scripts depuis sysvol (ref #32826)
  * [d309511] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [f028d38] Emmanuel Garette: Update package since “debian/eole/2.8.1-94”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 30 Jun 2021 08:44:41 +0200

eole-ad-dc (2.8.1-94) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [ce52f33] le répertoire Policies restauré n'a pas les bons droits (ref #32826)
  * [a7e7444] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [6b48c8e] Emmanuel Garette: Update package since “debian/eole/2.8.1-93”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 29 Jun 2021 18:21:23 +0200

eole-ad-dc (2.8.1-93) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [e859d0b] gestion des noms en 'lower' (ref #32825)
  * [c385d8d] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [dfae766] Emmanuel Garette: Update package since “debian/eole/2.8.1-92”

 -- Emmanuel Garette <egarette@cadoles.com>  Sat, 26 Jun 2021 14:38:41 +0200

eole-ad-dc (2.8.1-92) eole-2.8-unstable; urgency=low

  [ Gilles Grandgérard ]
  * [7ed3bd8] ne pas utiliser 'netcmd_finddc' dans gpo_eole. car le round robin renvoie m'importe quel DC même si l'on donne un DC en parametre '-H' !
  * [5cac25b] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [bb5e1f6] Gilles Grandgérard: Update package since “debian/eole/2.8.1-91”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Wed, 16 Jun 2021 16:47:47 +0200

eole-ad-dc (2.8.1-91) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [c1a19bf] gestion des zones différentes (ref #32783)
  * [3456d28] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [8e2a023] Emmanuel Garette: Update package since “debian/eole/2.8.1-90”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 15 Jun 2021 15:50:40 +0200

eole-ad-dc (2.8.1-90) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [8b2de8d] restaurer le fichier sid si on le retrouve dans la sauvegarde (ref #32781)
  * [196c450] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [5eeaabf] Emmanuel Garette: Update package since “debian/eole/2.8.1-89”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 15 Jun 2021 14:01:29 +0200

eole-ad-dc (2.8.1-89) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [aed7746] restaurer le fichier sid si on le retrouve dans la sauvegarde (ref #32781)
  * [4098efa] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [c9c78c8] Emmanuel Garette: Update package since “debian/eole/2.8.1-88”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 15 Jun 2021 12:32:28 +0200

eole-ad-dc (2.8.1-88) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [99eedc7] restaurer le fichier sid si on le retrouve dans la sauvegarde (ref #32781)
  * [43fbbb3] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [97d5d52] Emmanuel Garette: Update package since “debian/eole/2.8.1-87”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 15 Jun 2021 12:09:24 +0200

eole-ad-dc (2.8.1-87) eole-2.8-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [70af08f] modification nom agent zephir ref #32772
  * [595331a] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [3932dbb] Matthieu Lamalle: Update package since “debian/eole/2.8.1-86”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Tue, 15 Jun 2021 11:52:30 +0200

eole-ad-dc (2.8.1-86) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [f9b8914] gestion des zones différentes (ref #32783)
  * [80a1701] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [94c3809] Emmanuel Garette: Update package since “debian/eole/2.8.1-85”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 15 Jun 2021 11:05:05 +0200

eole-ad-dc (2.8.1-85) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [b8ec1a0] Scribe : gestion des zones différentes (ref #32783)
  * [6963923] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [56f9a8f] Emmanuel Garette: Update package since “debian/eole/2.8.1-84”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 15 Jun 2021 07:57:30 +0200

eole-ad-dc (2.8.1-84) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [41f52a4] 'dnsserver.DNS_RPC_NAME' peut ne pas avoir d'attribut 'NamePrimaryServer' (ref #32781)
  * [7afb685] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [99b777c] Emmanuel Garette: Update package since “debian/eole/2.8.1-83”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 15 Jun 2021 07:28:07 +0200

eole-ad-dc (2.8.1-83) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [f292ddc] gérer la restauration des zones DNS (ref #32783)
  * [219ffb9] les répertoires /var/lib/samba sont avec des mauvais droits (ref #32782)
  * [f010283] sauvegarde et restauration du SID (ref #32781)
  * [72a6bd0] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [fa1ba75] Emmanuel Garette: Update package since “debian/eole/2.8.1-82”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 14 Jun 2021 15:49:40 +0200

eole-ad-dc (2.8.1-82) eole-2.8-unstable; urgency=low

  [ Gilles Grandgérard ]
  * [f4e0121] utiliser fs_sd au lieu de POLICIES_ACL
  * [1d42e7b] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [a2b581f] Gilles Grandgérard: Update package since “debian/eole/2.8.1-81”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Tue, 08 Jun 2021 18:32:43 +0200

eole-ad-dc (2.8.1-81) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [2b99d09] diagnose/151-AD : cosmétique (mise en commun du saut de ligne)

  [ Gilles Grandgérard ]


=== debian/control ===
--- 
+++ 
@@ -11,23 +11,29 @@
 Package: eole-ad-dc
 Architecture: all
 Depends: eole-server,
+         eole-fichier-quota,
+         quota,
+         libnss-winbind,
+         eole-ad-dc-pso,
+         acl,
          ${misc:Depends}
 Description: configuration du service Samba AD-DC
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.
 
-Package: eole-ad-dc-pkg
+Package: eole-ad-dc-member-pkg
 Section: metapackages
 Architecture: all
 Depends: acl,
-         bind9,
          cifs-utils,
+         bind9-dnsutils,
          krb5-user,
          ldb-tools,
          libnss-winbind,
          lmdb-utils,
          python3-samba,
          quota,
+         quotatool,
          rsync,
          samba,
          samba-common,
@@ -41,13 +47,23 @@
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.
 
+Package: eole-ad-dc-pkg
+Section: metapackages
+Architecture: all
+Depends: eole-ad-dc-member-pkg,
+         bind9,
+         ntp,
+         ${misc:Depends}
+Description: dependency package for Samba AD-DC
+ Pour toute information complémentaire, veuillez vous rendre sur le
+ site du projet EOLE.
+
 Package: eole-ad-dc-scripts
 Architecture: all
 Depends: python3-configobj,
          pwgen,
          psmisc,
          ${misc:Depends}
-Conflicts: eole-ad-dc
 Description: scripts et librairies pour Samba AD-DC
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.
@@ -57,6 +73,14 @@
 Depends: eole-bareos ${misc:Depends}
 Conflicts: eole-ad-dc
 Description: configuration bareos pour Samba AD-DC
+ Pour toute information complémentaire, veuillez vous rendre sur le
+ site du projet EOLE.
+
+Package: eole-ad-dc-scribe
+Architecture: all
+Depends: eole-bareos ${misc:Depends}
+Conflicts: eole-ad-dc
+Description: Fichier commun entre eole-ad-dc et scribe
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
# export DH_OPTIONS=-v

%:
	dh $@
override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start -peole-ad-dc --name=samba_dbcheck
	dh_installsystemd --no-enable --no-start -peole-ad-dc-scribe --name=samba_dbcheck

## eole-ad-dc 2.8.1-121

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-ad-dc
 VERSION=2.8
 EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.0
+EOLE_RELEASE=2.8.1
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-ad-dc (2.8.1-121) eole-2.8-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [fc39d4a] passer la variable ad_homes_share_host en mandatory (ref #33373)
  * [3c87047] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [dcbeba6] Arnaud Fornerot: Update package since “debian/eole/2.8.1-120”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Tue, 09 Nov 2021 16:04:01 +0100

eole-ad-dc (2.8.1-120) eole-2.8-unstable; urgency=low

  [ afornerot ]
  * [aa3afe0] sortir la fonction winbind refresh tickets de l'activation des winbind enum (ref #28368)

  [ Arnaud Fornerot ]
  * [5d65a8f] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [fadfbde] Arnaud Fornerot: Update package since “debian/eole/2.8.1-119”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Fri, 05 Nov 2021 15:27:40 +0100

eole-ad-dc (2.8.1-119) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [3c03573] fix (ref #33199)
  * [e93dae6] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [16a8ac3] Emmanuel Garette: Update package since “debian/eole/2.8.1-118”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 02 Nov 2021 10:15:48 +0100

eole-ad-dc (2.8.1-118) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [d381129] fix (ref #33199)
  * [0a932f0] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ce1c84e] Emmanuel Garette: Update package since “debian/eole/2.8.1-117”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 27 Oct 2021 17:04:42 +0200

eole-ad-dc (2.8.1-117) eole-2.8.1-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [c44fb6d] Ajout la possiblité d'importer une GPO depuis un répertoire
  * [35fda06] Merge branch '2.7.2/master' into 2.8.0/master

  [ Joël Cuissinat ]
  * [21d1bc1] Merge branch '2.8.0/master'
  * [79190d8] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ef94822] Joël Cuissinat: Update package since “debian/eole/2.8.1-116”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 08 Oct 2021 17:12:18 +0200

eole-ad-dc (2.8.1-116) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [1026d45] configurer SSH en DC en cas de DC additionnel sur eole-ad-dc (ref #33199)
  * [635eda6] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [2844679] Emmanuel Garette: Update package since “debian/eole/2.8.1-115”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 01 Oct 2021 17:41:15 +0200

eole-ad-dc (2.8.1-115) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [a820eb7] le seth est pris pour un scribe et ne retrouve aucun fichier à restaurer (ref #33067)
  * [14141e0] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [b415c26] Emmanuel Garette: Update package since “debian/eole/2.8.1-114”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 03 Sep 2021 11:03:49 +0200

eole-ad-dc (2.8.1-114) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [ee9fb99] le seth est pris pour un scribe et ne retrouve aucun fichier à restaurer (ref #33067)
  * [bbda494] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [4192305] Emmanuel Garette: Update package since “debian/eole/2.8.1-113”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 02 Sep 2021 10:29:59 +0200

eole-ad-dc (2.8.1-113) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [258e1c2] ne pas sauvegarde les quotas sur AmonEcole (ref #33034)
  * [b9fe35c] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [822b65e] Emmanuel Garette: Update package since “debian/eole/2.8.1-112”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 26 Aug 2021 11:53:11 +0200

eole-ad-dc (2.8.1-112) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [282dc8c] Revert "Restauration du vrai script oneline_addc_restore (ref #32974 et #33031)"
  * [09f3a56] Restauration du vrai script oneline_addc_restore (ref #32974 et #33031)
  * [1937e35] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [526e819] Emmanuel Garette: Update package since “debian/eole/2.8.1-111”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 26 Aug 2021 11:24:36 +0200

eole-ad-dc (2.8.1-111) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [5bf13a2] Restauration du vrai script oneline_addc_restore (ref #32974 et #33031)
  * [0a3faaf] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [5ee7b2b] Emmanuel Garette: Update package since “debian/eole/2.8.1-110”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 26 Aug 2021 11:14:00 +0200

eole-ad-dc (2.8.1-110) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [ca4b00a] remove debug
  * [5751def] AmonEcole : sauvegarde /home également (ref #32974)
  * [ca3336b] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [a909e08] Emmanuel Garette: Update package since “debian/eole/2.8.1-109”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 23 Jul 2021 10:15:37 +0200

eole-ad-dc (2.8.1-109) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [93d3c87] restaurer au bon endroit samba (ref #32974)
  * [389f81c] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [8e29bbf] Emmanuel Garette: Update package since “debian/eole/2.8.1-108”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 23 Jul 2021 06:53:08 +0200

eole-ad-dc (2.8.1-108) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [302d960] debug
  * [9499d8f] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ea8e2a2] Emmanuel Garette: Update package since “debian/eole/2.8.1-107”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 22 Jul 2021 20:54:52 +0200

eole-ad-dc (2.8.1-107) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]


=== debian/control ===
--- 
+++ 
@@ -63,6 +63,7 @@
 Depends: python3-configobj,
          pwgen,
          psmisc,
+	 rsync,
          ${misc:Depends}
 Description: scripts et librairies pour Samba AD-DC
  Pour toute information complémentaire, veuillez vous rendre sur le

## eole-ad-dc 2.8.1-155

=== debian/changelog ===
eole-ad-dc (2.8.1-155) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [77a05c6] Génération de la conf samba_backup pour sauvegarde manuelle
  * [1294828] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [7e02cb3] Laurent Gourvénec: Update package since “debian/eole/2.8.1-154”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 10 Sep 2025 15:28:03 +0200

eole-ad-dc (2.8.1-154) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [fee9417] Toujours générer la conf pour sauver l'ad (si ad local)
  * [35dc02b] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [3a81e09] Laurent Gourvénec: Update package since “debian/eole/2.8.1-153”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 08 Sep 2025 17:06:10 +0200

eole-ad-dc (2.8.1-153) eole-2.8.1-proposed-updates; urgency=low

  [ Klaas TJEBBES ]
  * [29b4f43] 2.8 samba4.sh ajout des fonctions nécessaire pour les GPO additionnelles REF #5837
  * [c8e00c4] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ce6d075] Klaas TJEBBES: Update package since “debian/eole/2.8.1-152”

 -- Klaas TJEBBES <klaas.tjebbes@ac-dijon.fr>  Wed, 04 Dec 2024 15:39:01 +0100

eole-ad-dc (2.8.1-152) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [ac2b29c] named.conf.options : remove dnssec-enable obsolete option (EOLE 2.8.0)
  * [241966c] Merge branch '2.8.0/master' into 2.8.1/master
  * [9a7c181] named.conf.options : remove dnssec-lookaside obsolete option (EOLE 2.8.1)
  * [5f99c97] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [5a2bb10] Joël Cuissinat: Update package since “debian/eole/2.8.1-151”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 20 Aug 2024 12:20:59 +0200

eole-ad-dc (2.8.1-151) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [9c9d44d] Initialisation plus globale d’une variable.
  * [d188c73] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [6e05843] Benjamin Bohard: Update package since “debian/eole/2.8.1-150”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 30 Jul 2024 14:05:14 +0200

eole-ad-dc (2.8.1-150) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [9cf27f4] Programmation de la suppression des fichiers des corbeilles samba.
  * [38f1f4a] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [76b0c72] Benjamin Bohard: Update package since “debian/eole/2.8.1-149”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 18 Jul 2024 08:54:40 +0200

eole-ad-dc (2.8.1-149) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [de213e4] Ajout dépendance gpo-tool pour eole-ad-dc-scripts

  [ EOLE Build Daemon ]
  * [432182f] Joël Cuissinat: Update package since “debian/eole/2.8.1-148”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 06 Jun 2024 16:30:27 +0200

eole-ad-dc (2.8.1-148) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [0fb5419] Règles de rotation des journaux vfs full_audit.
  * [cbc3fa2] Merge branch '2.8.1/master' into dist/eole/2.8.1/master
  * [a921cd6] Installer les règles de rotation sur l’hôte.

  [ EOLE Build Daemon ]
  * [efdf2c0] Benjamin Bohard: Update package since “debian/eole/2.8.1-147”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 27 Nov 2023 09:06:37 +0100

eole-ad-dc (2.8.1-147) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [0662236] Conditionner l’activation de l’agent dbcheck au rôle du serveur.
  * [a7c26b6] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [6c45605] Benjamin Bohard: Update package since “debian/eole/2.8.1-146”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 13 Nov 2023 15:35:36 +0100

eole-ad-dc (2.8.1-146) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [6d91ac7] Conserver l’intégralité du rapport de la commande samba-tool dbcheck.
  * [f3200de] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [573aeac] Benjamin Bohard: Update package since “debian/eole/2.8.1-145”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 09 Nov 2023 09:41:30 +0100

eole-ad-dc (2.8.1-145) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [eeb4774] Tester la base de données Samba sur le contrôleur de domaine uniquement.
  * [0dc5a62] Exécuter samba-tool dbcheck sur un contrôleur de domaine uniquement.
  * [96a9cb7] Prise en compte d’un rapport de dbcheck vide.
  * [d2dd0ee] Chercher spécifiquement le motif ([0-9]+ errors) dans le rapport.
  * [bf440cd] Ne pas afficher de complément d’information.
  * [d0b016f] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ec92891] Benjamin Bohard: Update package since “debian/eole/2.8.1-144”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 09 Nov 2023 08:59:32 +0100

eole-ad-dc (2.8.1-144) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [d5bf857] Merge branch '2.7.2/backport4.15' into 2.8.0/master
  * [0ee2f7a] fix instance/reconfigure in RODC mode
  * [b6925ff] Merge branch '2.8.0/master' into 2.8.1/master
  * [581d7d3] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [565d77e] Joël Cuissinat: Update package since “debian/eole/2.8.1-143”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 27 Oct 2023 15:35:02 +0200

eole-ad-dc (2.8.1-143) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [6645cdb] Évolution de l’appel à la fonction backup_offline. (backport 2.8.1)

  [ Joël Cuissinat ]
  * [1790785] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [98fc5b7] Joël Cuissinat: Update package since “debian/eole/2.8.1-142”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 09 Mar 2023 12:00:02 +0100

eole-ad-dc (2.8.1-142) eole-2.8.1-proposed-updates; urgency=low



=== debian/control ===
--- 
+++ 
@@ -63,7 +63,8 @@
 Depends: python3-configobj,
          pwgen,
          psmisc,
-	 rsync,
+         rsync,
+         gpo-tool,
          ${misc:Depends}
 Description: scripts et librairies pour Samba AD-DC
  Pour toute information complémentaire, veuillez vous rendre sur le
@@ -113,6 +114,7 @@
 Package: eole-seth-all
 Section: metapackages
 Depends: eole-ad-dc-pkg,
+         eole-ad-dc-scripts,
          eole-dhcp-pkg,
          eole-exim-pkg,
          eole-antivirus-pkg,

## eole-ad-dc 2.9.0-26

=== debian/changelog ===
eole-ad-dc (2.9.0-26) eole-2.9-unstable; urgency=low

  [ Philippe Caseiro ]
  * [ceafbce] forcer l'interface d'écoute de samba (evite les problèmes avec podman) (ref #34958)
  * [49be719] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [99f63f0] Philippe Caseiro: Update package since “debian/eole/2.9.0-25”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Mon, 14 Nov 2022 12:22:16 +0100

eole-ad-dc (2.9.0-25) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [198bae2] Seth 2.9 : /tmp is now a tmpFS
  * [1865407] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [9afa22c] Joël Cuissinat: Update package since “debian/eole/2.9.0-24”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 24 Oct 2022 12:04:15 +0200

eole-ad-dc (2.9.0-24) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [660d901] N’installer 00-ntp_signd que sur le Scribe.
  * [b2236c0] Revert "Ne pas gérer la socket ntp_signd sur l’hôte."
  * [8ec32f2] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [f2fd107] Benjamin Bohard: Update package since “debian/eole/2.9.0-23”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 24 Oct 2022 10:02:30 +0200

eole-ad-dc (2.9.0-23) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [66d38c6] Gérer le dossier ntp_signd dans le conteneur à l’installation.
  * [0642cf4] Ne pas gérer la socket ntp_signd sur l’hôte.
  * [dda96e7] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [80a627f] Benjamin Bohard: Update package since “debian/eole/2.9.0-22”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 24 Oct 2022 09:30:35 +0200

eole-ad-dc (2.9.0-22) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [7966c7b] Dépendance sur eole-ntp-server.

  [ EOLE Build Daemon ]
  * [6fc1a83] Benjamin Bohard: Update package since “debian/eole/2.9.0-21”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 20 Oct 2022 09:34:17 +0200

eole-ad-dc (2.9.0-21) eole-2.9-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [760cb9f] Suppression d'un deuxième envoi de clé lors de l'échange de clé entre DC
  * [257bb12] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [e399c6c] Laurent Gourvénec: Update package since “debian/eole/2.9.0-20”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 07 Sep 2022 10:57:11 +0200

eole-ad-dc (2.9.0-20) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [651010d] Évolution de l’appel à la fonction backup_offline.
  * [5ad76cb] Merge branch 'scenario/34322'
  * [2867946] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [f3265ed] Benjamin Bohard: Update package since “debian/eole/2.9.0-19”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 04 Jul 2022 09:37:23 +0200

eole-ad-dc (2.9.0-19) eole-2.9-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [4c23547] Ne pas stopper named lors d'un reconfigure
  * [0141dc0] Merge branch '2.8.1/master'
  * [b2707c1] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [b7463b6] Laurent Gourvénec: Update package since “debian/eole/2.9.0-18”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Tue, 28 Jun 2022 10:53:34 +0200

eole-ad-dc (2.9.0-18) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [4dfd4a4] eole-seth-all installe directement eole-ad-dc-scripts

  [ EOLE Build Daemon ]
  * [10ff209] Joël Cuissinat: Update package since “debian/eole/2.9.0-17”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 20 Jun 2022 16:25:19 +0200

eole-ad-dc (2.9.0-17) eole-2.9-unstable; urgency=low

  [ Emmanuel Garette ]
  * [08f8c35] redémarrer smbd au lieu de samba-ad-dc sur un membre (ref #34288)
  * [55c4156] Merge branch '2.8.1/master'
  * [ebc0463] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [b7dc9d6] Emmanuel Garette: Update package since “debian/eole/2.9.0-16”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 13 Jun 2022 12:20:42 +0200

eole-ad-dc (2.9.0-16) eole-2.9-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [3abd6e2] Samba4-vars.conf : en mode non conteneur, le serveur AD n'est pas forcément local
  * [da5ac89] Merge branch '2.8.1/master'
  * [28d816c] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [97a7666] Laurent Gourvénec: Update package since “debian/eole/2.9.0-15”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Fri, 10 Jun 2022 14:29:03 +0200

eole-ad-dc (2.9.0-15) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [cf6474d] SethEduc/AmonEcole 2.9.0 : restore bareos

  [ EOLE Build Daemon ]
  * [b63353a] Joël Cuissinat: Update package since “debian/eole/2.9.0-14”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 10 Jun 2022 09:39:58 +0200

eole-ad-dc (2.9.0-14) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [77b2aa5] Suppression de l’option obsolète -k pour samba-tool.
  * [9a871aa] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [f4e0801] Benjamin Bohard: Update package since “debian/eole/2.9.0-13”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 07 Jun 2022 15:02:25 +0200

eole-ad-dc (2.9.0-13) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [f553b6e] Dépendance explicite sur libldap-common.

  [ EOLE Build Daemon ]
  * [886e657] Benjamin Bohard: Update package since “debian/eole/2.9.0-12”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 25 May 2022 15:12:34 +0200

eole-ad-dc (2.9.0-12) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [09ebe44] Le vfs full_audit est utilisé sur le contrôleur autant que sur le membre.
  * [93dcca0] Merge branch '2.8.1/master'
  * [b78a9b2] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [b303ffe] Benjamin Bohard: Update package since “debian/eole/2.9.0-11”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 25 May 2022 10:10:51 +0200

eole-ad-dc (2.9.0-11) eole-2.9-unstable; urgency=low



=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
          quota,
          libnss-winbind,
          eole-ad-dc-pso,
+         eole-ntp-server,
          acl,
          ${misc:Depends}
 Description: configuration du service Samba AD-DC
@@ -42,6 +43,7 @@
          samba-vfs-modules,
          smbclient,
          winbind,
+         libldap-common,
          ${misc:Depends}
 Description: dependency package for Samba AD-DC
  Pour toute information complémentaire, veuillez vous rendre sur le
@@ -64,7 +66,6 @@
          pwgen,
          psmisc,
          rsync,
-         gpo-tool,
          ${misc:Depends}
 Description: scripts et librairies pour Samba AD-DC
  Pour toute information complémentaire, veuillez vous rendre sur le

## eole-ad-dc 2.9.0-29

=== debian/changelog ===
eole-ad-dc (2.9.0-29) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [ac8b188] fix(config) : avoid named error at first instance
  * [3a142c7] fix(config) : /var/lib/samba/bind-dns is not available
  * [0162878] improve(config) : remove unecessary named.conf.dlz template
  * [6857cf2] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [1e337cf] Joël Cuissinat: Update package since “debian/eole/2.9.0-28”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 23 Feb 2023 09:36:19 +0100

eole-ad-dc (2.9.0-28) eole-2.9.0-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [191b80a] adaptation pour la restauration AmonEcole 2.9 (ref #35155)
  * [d704bed] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [ebba536] Philippe Caseiro: Update package since “debian/eole/2.9.0-27”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Thu, 15 Dec 2022 14:48:31 +0100

eole-ad-dc (2.9.0-27) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [53813f8] Enlever le statut failed du service named avant son redémarrage.
  * [12da465] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [1170d33] Benjamin Bohard: Update package since “debian/eole/2.9.0-26”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 23 Nov 2022 10:15:52 +0100
